module.exports =
{
	parserOptions:
	{
		ecmaVersion: 6,
		sourceType: "module",
		ecmaFeatures:
		{
			impliedStrict: true,
			jsx: true
		}
	},

	env:
	{
		browser: true,
		node: true
	},

	extends:
	[
		'./rules/errors',
		'./rules/best-practices',
		'./rules/nodejs',
		'./rules/variables',
		'./rules/code-style',
		'./rules/es6'
	].map( require.resolve ),

	rules:
	{

		// require or disallow strict mode directives
		// http://eslint.org/docs/rules/strict
		'strict': 'error'
	}
};