const path = require('path');

module.exports =
{
	entry: './index.js',

	context: path.resolve(__dirname, 'test'),

	output:
	{
		path: './build/',
		filename: 'bundle.js'
	},

	eslint:
	{
		configFile: path.resolve(__dirname, '.eslintrc')
	},

	module:
	{
		preLoaders:
		[
			{
				exclude: /(node_modules)/,
				test: /\.js$/,
				loader: 'eslint-loader'
			}
		]
	}
};